Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.struct
Interface LpStructureUnitVisitor

All Known Implementing Classes:
  DlpGrounder.DlpTagger, DlpWebappHelper.TransDlpHtmlPrinter, EvolpPrettyPrinter, EvolpVarWebappHelper.TransEvolpHtmlPrinter, EvolpWebappHelper.TransEvolpHtmlPrinter, JspPrinter, LpEncoder, LpGroundDecider, LpHtmlPrinter, LpPrettyPrinter, LpPrinter

    public interface LpStructureUnitVisitor

Classes implementing this interface can act as visitors of classes implementing the `LpStructureUnit` interface.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `LpPrinter`, `LpGroundDecider`

Method Summary
`void` | `visit(LpAtom atom)` A method for visiting atom `LpAtom`.
`void` | `visit(LpCompoundTerm term)` A method for visiting a `LpCompoundTerm`.
`void` | `visit(LpConstant con)` A method for visiting a `LpConstant`.
`void` | `visit(LpFunction fun)` A method for visiting a `LpFunction`.
`void` | `visit(LpLiteral lit)` A method for visiting a `LpLiteral`.
`void` | `visit(LpPredicate pred)` A method for visiting a `LpPredicate`.
`void` | `visit(LpRule rule)` A method for visiting a `LpRule`.
`void` | `visit(LpVariable var)` A method for visiting a `LpVariable`.

Method Detail

### visit

    void visit(LpConstant con)

  A method for visiting a `LpConstant`.

  Parameters:
    `con` - the `LpConstant` to visit

### visit

    void visit(LpVariable var)

  A method for visiting a `LpVariable`.

  Parameters:
    `var` - the `LpVariable` to visit

### visit

    void visit(LpFunction fun)

  A method for visiting a `LpFunction`.

  Parameters:
    `fun` - the `LpFunction` to visit

### visit

    void visit(LpCompoundTerm term)

  A method for visiting a `LpCompoundTerm`.

  Parameters:
    `term` - the `LpCompoundTerm` to visit

### visit

    void visit(LpPredicate pred)

  A method for visiting a `LpPredicate`.

  Parameters:
    `pred` - the `LpPredicate` to visit

### visit

    void visit(LpAtom atom)

  A method for visiting atom `LpAtom`.

  Parameters:
    `atom` - the `LpAtom` to visit

### visit

    void visit(LpLiteral lit)

  A method for visiting a `LpLiteral`.

  Parameters:
    `lit` - the `LpLiteral` to visit

### visit

    void visit(LpRule rule)

  A method for visiting a `LpRule`.

  Parameters:
    `rule` - the `LpRule` to visit

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD